Package tigase.xml

## Interface SimpleHandler

- All Known Implementing Classes:
    `DomBuilderHandler`, `XMLFormatter`, `XMPPDomBuilderHandler`

      public interface SimpleHandler

  `SimpleHandler` - parser handler interface for event driven parser. It is very simplified version of `org.xml.sax.ContentHandler` interface created for `SimpleParser` needs. It allows to receive events like start element (with element attributes), end element, element cdata, other XML content and error event if XML error found.

  Created: Sat Oct 2 00:00:08 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc
  See Also:
    `SimpleParser`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `elementCData​(java.lang.StringBuilder cdata)` |
    `boolean` | `endElement​(java.lang.StringBuilder name)` |
    `void` | `error​(java.lang.String errorMessage)` |
    `void` | `otherXML​(java.lang.StringBuilder other)` |
    `java.lang.Object` | `restoreParserState()` |
    `void` | `saveParserState​(java.lang.Object state)` |
    `void` | `startElement​(java.lang.StringBuilder name, java.lang.StringBuilder[] attr_names, java.lang.StringBuilder[] attr_values)` |

- - ### Method Detail

    - #### error

          void error​(java.lang.String errorMessage)

    - #### startElement

          void startElement​(java.lang.StringBuilder name,
                            java.lang.StringBuilder[] attr_names,
                            java.lang.StringBuilder[] attr_values)

    - #### elementCData

          void elementCData​(java.lang.StringBuilder cdata)

    - #### endElement

          boolean endElement​(java.lang.StringBuilder name)

    - #### otherXML

          void otherXML​(java.lang.StringBuilder other)

    - #### saveParserState

          @TODO(note="Use generic types to store parser data.")
          void saveParserState​(java.lang.Object state)

    - #### restoreParserState

          @TODO(note="Use generic types to store parser data.")
          java.lang.Object restoreParserState()